Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.simulator.tools.aggregator
Class StrategyPerformanceAnalyzer

    java.lang.Object
      lbg.simulator.tools.aggregator.StrategyPerformanceAnalyzer

    public class StrategyPerformanceAnalyzer

extends java.lang.Object

A StrategyPerformanceAnalyzer analyzes the performance of the bartering policies stored in a target spreadsheet generated by the LogAggregator.

Author:
  Cyril Briquet

Constructor Summary
`StrategyPerformanceAnalyzer(java.lang.String timestamp, java.lang.String spreadsheet_fn)` Constructs a new StrategyPerformanceAnalyzer.

Method Summary
`void` | `analyzeStrategyPerformance()`
`static void` | `main(java.lang.String[] args)`
`void` | `saveStrategyPerformanceAnalysisReport()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StrategyPerformanceAnalyzer

    public StrategyPerformanceAnalyzer(java.lang.String timestamp,
                                       java.lang.String spreadsheet_fn)
                                throws GridException

  Constructs a new StrategyPerformanceAnalyzer.

  Throws:
    `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### analyzeStrategyPerformance

    public void analyzeStrategyPerformance()
                                    throws GridException

  Throws:
    `GridException`

### saveStrategyPerformanceAnalysisReport

    public void saveStrategyPerformanceAnalysisReport()
                                               throws GridException

  Throws:
    `GridException`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.